package org.jeecg.common.exception;

/**
 * @Description: jeecg-boot自定义异常
 * @author: jeecg-boot
 */
public class JeecgBootCodeException extends JeecgBootException {
	private String code ;
	private String message;

	public JeecgBootCodeException(String code, String message){
		this(code, message, null);
	}

	public JeecgBootCodeException(Throwable cause)
	{
		this(null,cause.getMessage(),cause);
	}

	public JeecgBootCodeException(String message, Throwable cause)
	{
		this(null,message,cause);
	}
	public JeecgBootCodeException(String code, String message, Throwable cause)
	{
		super(message,cause);
		this.code = code;
		this.message = message;
	}

	public String getCode() {
		return code;
	}

	@Override
	public String getMessage() {
		return message;
	}
}
